"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rulr_1 = require("rulr");
var TypeWarning_1 = require("../warnings/TypeWarning");
var YEAR = '(\\d{4})';
var MONTH = '((0[1-9])|(1[012]))';
var DAY = '((0[1-9])|([12]\\d)|(3[01]))';
var P_HOUR = '(([01]\\d)|(2[0123]))';
var N_HOUR = '((0[1-9])|(1\\d)|(2[0123]))';
var MINUTE = '([012345]\\d)';
var SECOND = '([012345]\\d)';
var FRACTION = '(\\d+)';
var DATE_SEPARATOR = '-';
var TIME_SEPARATOR = ':';
var BASIC_SECONDS = "(" + SECOND + FRACTION + "?)";
var BASIC_DATE = "(" + YEAR + MONTH + DAY + ")";
var BASIC_TIME = "(" + P_HOUR + "(" + MINUTE + BASIC_SECONDS + "?)?)";
var BASIC_P_ZONE = "(\\+" + P_HOUR + MINUTE + "?)";
var BASIC_N_ZONE = "(\\-" + N_HOUR + MINUTE + "?)";
var BASIC_ZONE = "(Z|" + BASIC_P_ZONE + "|" + BASIC_N_ZONE + ")";
var BASIC = "(" + BASIC_DATE + "(T" + BASIC_TIME + BASIC_ZONE + ")?)";
var EXT_MONTH = "(" + DATE_SEPARATOR + MONTH + ")";
var EXT_DAY = "(" + DATE_SEPARATOR + DAY + ")";
var EXT_MINUTE = "(" + TIME_SEPARATOR + MINUTE + ")";
var EXT_SECOND = "(" + TIME_SEPARATOR + SECOND + ")";
var EXT_FRACTION = "(\\." + FRACTION + ")";
var EXT_SECONDS = "(" + EXT_SECOND + EXT_FRACTION + "?)";
var EXT_DATE = "(" + YEAR + EXT_MONTH + EXT_DAY + ")";
var EXT_TIME = "(" + P_HOUR + "(" + EXT_MINUTE + EXT_SECONDS + "?)?)";
var EXT_P_ZONE = "(\\+" + P_HOUR + EXT_MINUTE + "?)";
var EXT_N_ZONE = "(\\-" + N_HOUR + EXT_MINUTE + "?)";
var EXT_ZONE = "(Z|" + EXT_P_ZONE + "|" + EXT_N_ZONE + ")";
var EXT = "(" + EXT_DATE + "(T" + EXT_TIME + EXT_ZONE + ")?)";
var TIMESTAMP = new RegExp("^(" + EXT + "|" + BASIC + ")$");
exports.default = rulr_1.checkRegex(TIMESTAMP, TypeWarning_1.createTypeWarning('ISO Timestamp'));
